function StartSASService() {
    param(
        [string] $service
    )
    # start a service
    Write-Host ""
    Write-Host "Task: Starting service '$service'." -Foregroundcolor Green
    Start-Service -Name $service
    Write-Host "Task complete." -Foregroundcolor Green
}

function StopSASService() {
        param(
        [string] $service
    )
    # stop a service
    Write-Host "Task: Stopping service '$service'." -Foregroundcolor Green
    if (Get-Service -Name $service -ErrorAction SilentlyContinue) {
        Write-Host ""
        Stop-Service -Name $service
        Write-Host "Task complete." -Foregroundcolor Green
    }
    else {
        Write-Host "Service '$service' does not exist." -Foregroundcolor Green
    }
}
