#populated by static_vars.psd1 This gives us an object to use to better 
#access static variables and store their contents
class StaticVariables {
    [string] $deploymentId
    [string] $instanceId
    [string] $entitlementCert
    [string] $caCert
    [string] $repositoryUrl
    [string] $version
    
    StaticVariables([hashtable] $deploymentData){
        $this.deploymentId = $deploymentData.deployment_id
        $this.instanceId = $deploymentData.instance_id
        $this.entitlementCert = $deploymentData.entitlement_certificate
        $this.caCert = $deploymentData.sas_ca_certificate
        $this.repositoryUrl = $deploymentData.package_repository_url
        $this.version = $deploymentData.version
    }
}