
function ConfigureESP() {
    param(
        [string] $installdir,
        [string] $licenseFile
    )


    $espLicenseDir = Join-Path $installdir "Viya\SASEventStreamProcessingEngine\5.1.0\etc\license"
    Write-Host ""
    Write-Host "Task: Copying license file '$licenseFile' to '$espLicenseDir'"  -ForegroundColor Green
    Copy-Item "$licenseFile" -Destination "$espLicenseDir" -Force
    Write-Host "Task complete." -ForegroundColor Green
}

function UnconfigureESP {


}

